package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelRefundCancelRequest struct {
	/*
	   逆向申请取消     */
	RefundCancelInfo *domain.AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo `json:"refund_cancel_info" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelRefundCancelRequest) SetRefundCancelInfo(v domain.AlibabaTclsAelophyMerchantChannelRefundCancelRefundCancelInfo) *AlibabaTclsAelophyMerchantChannelRefundCancelRequest {
	s.RefundCancelInfo = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelRefundCancelRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundCancelInfo != nil {
		paramMap["refund_cancel_info"] = util.ConvertStruct(*req.RefundCancelInfo)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelRefundCancelRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
